------------------------------------------------------------------------------------
--Name：            210828[简体征服][活动脚本]9月消费活动-七彩葫芦换色坐骑活动
--Creator:      耿力兀
--Created:     2021-08-28
------------------------------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(45,45)
local player2 = CppScriptMgr:AddSimplePlayer(3770,39,45,"Furnace",4003000002,1)
local player3 = CppScriptMgr:AddSimplePlayer(3770,46,40,"Furnace",4003000003,1)
local player4 = CppScriptMgr:AddSimplePlayer(3770,41,41,"Furnace",4003000004,1)
CppScriptMgr:WaitMilSec(1000)
local player1 = CppScriptMgr:AddSimplePlayer(1064254,45,45,"Lingxu Taoist",4003000001,1)
player1:Say("Yin and Yang create elements, elements create all things, and all things have their own colors.",1500)
CppScriptMgr:WaitMilSec(2000)
local effectObj1 = CppScriptMgr:AddEffect("CSGX_jin",39,45)
local effectObj2 = CppScriptMgr:AddEffect("CSGX_zi",46,40)
local effectObj3 = CppScriptMgr:AddEffect("CSGX_hong",41,41)
local effectObj4 = CppScriptMgr:AddEffect("100wp_blank",45,45)
CppScriptMgr:WaitMilSec(2000)
player1:SetAction(180)
player1:Say("Awesome! Finally! It`s done!",2000)
local effectObj5 = CppScriptMgr:AddEffect("100weaponlv5",45,45)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1000);